/* -*- C++ -*-
 * test/time_measure_test.cc - Part of LEMON, a generic C++ optimization library
 *
 * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
 * (Egervary Research Group on Combinatorial Optimization, EGRES).
 *
 * Permission to use, modify and distribute this software is granted
 * provided that this copyright notice appears in all copies. For
 * precise terms see the accompanying LICENSE file.
 *
 * This software is provided "AS IS" with no warranty of any kind,
 * express or implied, and with no claim as to its suitability for any
 * purpose.
 *
 */

#include <lemon/time_measure.h>

///\file \brief Test cases for time_measure.h
///
///\todo To be extended


using namespace lemon;

void f() 
{
  double d=0;
  for(int i=0;i<10000;i++)
    d+=0.1;
}

int main()
{
  Timer T;
  int n;
  for(n=0;T.realTime()<1.0;n++) ;
  std::cout << T << " (" << n << " time queries)\n";
  T.restart();
  while(T.realTime()<2.0) ;
  std::cout << T << '\n';
  TimeStamp full;
  TimeStamp t=runningTimeTest(f,1,&n,&full);
  std::cout << t << " (" << n << " tests)\n";
  std::cout << "Total: " << full << "\n";
  
  return 0;
}
